Bug 822784 - Rebalance status command does not respond if network is down or power failure on any of the nodes in the cluster
Rebalance status command does not respond if network is down or power failure...
Status: CLOSED CURRENTRELEASE
Product: GlusterFS
Classification: Community
Component: glusterd (Show other bugs)
pre-release
x86_64 Linux
medium Severity high
: ---
: ---
Assigned To: Avra Sengupta
: Triaged
Depends On:
Blocks: 852295 858476
  Show dependency treegraph
 
Reported: 2012-05-18 03:08 EDT by shylesh
Modified: 2013-07-24 13:51 EDT (History)
3 users (show)

See Also:
Fixed In Version: glusterfs-3.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 852295 (view as bug list)
Environment:
Last Closed: 2013-07-24 13:51:10 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fsm logs (5.83 KB, application/octet-stream)
2012-05-18 03:08 EDT, shylesh
no flags Details

  None (edit)
Description shylesh 2012-05-18 03:08:31 EDT
Created attachment 585348 [details]
fsm logs

Description of problem:
Issuing rebalance status command does not responds if network fails or power failure occurs on any of the node in the cluster.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1. created a distributed-replicate volume and fill up with some data
2. add-brick and initiate rebalance .
3. check the status 
4. Now bring down network or reboot any of the machine in the cluster
5. Now check the status
  
Actual results:

status command will not respond anything , it waits for some time and comes back with return value 234.

Expected results:


Additional info:

Attaching the fsm-logs.
Comment 1 Amar Tumballi 2012-07-11 01:22:22 EDT
shylesh, can you check if this happens on master/3.3.0 release?
Comment 2 shylesh 2012-07-11 07:18:39 EDT
 (In reply to comment #1)
> shylesh, can you check if this happens on master/3.3.0 release?

Yes amar this issue is still reproducible on latest master.
Comment 3 Amar Tumballi 2013-02-05 23:50:59 EST
Avra, this should be addressed by synctask'izing the rebalance commands.

Note You need to log in before you can comment on or make changes to this bug.